/*
Name: PythonAlgorithms.h
Author: Protogenos, LLC
Date: 1/20/2017
Description: This file is the interface file that links with the generated
              dynamic link libraries using CFFI. The client's python scripts
              have a strict structure that this file expects. In addition,
              the results of the scripts are used by the AlgoServer
              and forwarded to the RServer. This proves to be a way
              for the client to script his algorithms and have them
              integrated into the system so that the server can use them.
*/

#include "AlgoServer.h"

#ifndef CFFI_DLLEXPORT
#   ifdef _MSC_VER
#      define CFFI_DLLEXPORT extern __declspec(dllimport)
#   else
#      define CFFI_DLLEXPORT extern
#   endif
#endif

CFFI_DLLEXPORT void runStrategyBasic(struct _AlgoServer *);
